# Add an existing Sitejet API token.

This function adds an existing Sitejet API token to a cPanel user.

Note:

You can create a Sitejet API token with the Sitejet:create_account function.

Endpoint: GET /Sitejet/add_api_token
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `api_token` (string, required)
    The Sitejet API token to add.
    Example: "d35d8ea651007ccd25f96486cdcdXXXX"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_api_token"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


